%define oname		gstreamermm

%define api		0.10
%define major		2
%define libname		%mklibname %oname %api %major
%define develname	%mklibname %oname %api -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gstreamermm%{api}
Version:	0.10.11
Release:	%mkrel 7
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/gstreamermm/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	pkgconfig(giomm-2.4) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.36
BuildRequires:	pkgconfig(libxml++-2.6) >= 2.14
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.36
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	m4

%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %libname
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries

%description -n %libname
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %develname
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{oname}-devel < 0.10.11-4

%description -n %develname
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%package doc
Summary:	Developer's documentation for the gstreamermm library
Group:		Documentation
BuildArch:	noarch
Obsoletes:	%{oname}-doc < 0.10.11-4

%description doc
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

%prep
%setup -qn %{oname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x --enable-shared \
	--disable-dependency-tracking
%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/lib%{oname}-%{api}.so.%{major}
%{_libdir}/lib%{oname}-%{api}.so.%{major}.*
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so.%{major}
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/gstreamermm-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{oname}-%{api}/

%files doc
%doc COPYING
%doc %{_datadir}/doc/%{oname}-%{api}/
%doc %{_datadir}/devhelp/books/%{oname}-%{api}/


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 0.10.11-7.mga6
+ Revision: 960573
- Mageia 6 Mass Rebuild

* Thu Aug 27 2015 wally <wally> 0.10.11-6.mga6
+ Revision: 870227
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 0.10.11-5.mga5
+ Revision: 739576
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 0.10.11-4.mga5
+ Revision: 732769
- rename pkg as gstreamermm0.10

* Tue Sep 16 2014 umeabot <umeabot> 0.10.11-3.mga5
+ Revision: 679989
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10.11-2.mga4
+ Revision: 531724
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 fwang <fwang> 0.10.11-1.mga4
+ Revision: 464855
- update file list
- update file list
- update file list
- update file list
- update br
- update file list
- imported package gstreamermm

